Name:           kobby
Version:        1.0
Release:        0.1.b3%{?dist}
Summary:        Collaborative editor for KDE

Group:          Applications/Editors
License:        GPLv2+
URL:            http://greghaynes.github.com/kobby/
Source0:        http://cloud.github.com/downloads/greghaynes/kobby/kobby-1.0b3.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libqinfinity-devel
BuildRequires:  kdelibs4-devel

%description
KDE collaborative editor using the infinote protocol.


%prep
%setup -q -n kobby-1.0b3


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd
make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1


%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_kde4_bindir}/kobby
%{_kde4_datadir}/applications/kde4/kobby.desktop
%{_kde4_configdir}.kcfg/kobbysettings.kcfg
%{_kde4_appsdir}/kobby/kobbyui.rc


%changelog
* Sat Jun 20 2009 Ben Boeckel <MathStuf@gmail.com> 1.0-0.1.b3
- Initial package
